#version 330

in vec3 position;
in vec2 uv;

out vec2 fragmentUV;

uniform mat4 modelMatrix;
uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;

void main(){
	
	fragmentUV = uv;
	gl_Position = projectionMatrix  * modelMatrix * vec4(position, 1);
	
}